package edu.travel.controller;

import edu.travel.adapter.service.order.ShopOrderLogAdapter;
import edu.travel.remote.dto.AddOrderLogDto;
import edu.travel.remote.vo.OrderStateVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

import static edu.travel.rpc.RPCBaseResponse.success;

@RestController
@RequestMapping("/shopOrderTypeChange")
public class ShopOrderLogController {
    @Autowired
    private ShopOrderLogAdapter shopOrderLogAdapter;

    /**
     * 新增订单日志
     *
     * @param params
     * @return {@link RPCBaseResponse }<{@link Void }>
     */
    @PostMapping("/addOrderLog")
    public RPCBaseResponse<Void> addOrderLog(@RequestBody AddOrderLogDto params) {
        return shopOrderLogAdapter.addOrderLog(params);
    }

    /**
     * 查询订单状态流程
     *
     * @param orderNum
     * @return {@link RPCBaseResponse }<{@link Void }>
     */
    @GetMapping("/getOrderStateByOrderNum")
    public RPCBaseResponse<List<OrderStateVo>> getOrderStateByOrderNum(@RequestParam("orderNum") String orderNum) {
        return shopOrderLogAdapter.getOrderStateByOrderNum(orderNum);
    }
}
