package edu.travel.order.controller;
import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.util.ObjectUtil;
import edu.travel.order.entity.OrderStatusDicti;
import edu.travel.order.service.OrderStatusDictiService;
import edu.travel.remote.dto.OrderStatusDto;
import edu.travel.remote.order.OrderStatusDictiRemoteController;
import edu.travel.remote.vo.OrderStatusVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.web.bind.annotation.*;

import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
* 订单状态字典(order_status_dicti)表控制层
*
* @author xxxxx
*/
@RestController
@RequestMapping("/orderStatusDicti")
public class OrderStatusDictiController implements OrderStatusDictiRemoteController {
/**
* 服务对象
*/
    @Autowired
    private OrderStatusDictiService orderStatusDictiService;

    /**
     *  列表
     * @return {@link RPCBaseResponse }<{@link List }<{@link OrderStatusVo }>>
     */

    @GetMapping("/list")
    public RPCBaseResponse<List<OrderStatusVo>> list() {
        List<OrderStatusDicti> list = orderStatusDictiService.list();
        List<OrderStatusVo> orderStatusVos = BeanUtil.copyToList(list, OrderStatusVo.class);
        return RPCBaseResponse.success(orderStatusVos);
    }

    /**
     *  新增或修改
     * @param dto
     * @return {@link RPCBaseResponse }<{@link Void }>
     */

    @GetMapping("/add")
    public RPCBaseResponse<Void> saveOrUpdate(OrderStatusDto dto) {
        OrderStatusDicti one = orderStatusDictiService.getById(dto.getId());
        if(ObjectUtil.isEmpty(one)){
            //新增
            OrderStatusDicti bean = BeanUtil.toBean(dto, OrderStatusDicti.class);
            bean.setId(null);
            orderStatusDictiService.save(bean);
            return RPCBaseResponse.success();
        }
        if(ObjectUtil.isNotEmpty(dto.getDictValue())){
            one.setDictValue(dto.getDictValue());
        }
        if(ObjectUtil.isNotEmpty(dto.getDictLabel())){
            one.setDictValue(dto.getDictLabel());
        }
        orderStatusDictiService.updateById(one);
        return RPCBaseResponse.success();
    }

    /**
     *  删除
     * @param dto
     * @return {@link RPCBaseResponse }<{@link Void }>
     */

    @GetMapping("/remove")
    public RPCBaseResponse<Void> remove(OrderStatusDto dto) {
        orderStatusDictiService.removeById(dto.getId());
        return RPCBaseResponse.success();
    }
}
